## pyment 0.3.4%2Bds

=== doc/sphinx/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = Pyment
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## pyment 0.3.4+ds

=== debian/changelog ===
pyment (0.3.4+ds-4) unstable; urgency=medium

  * debian/watch: fix url to GitHub tags

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sat, 24 Sep 2022 07:04:53 -0300

pyment (0.3.4+ds-3) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.6.1
  * Remove Built-Using from dependencies

 -- Timo Röhling <roehling@debian.org>  Tue, 21 Jun 2022 12:36:44 +0200

pyment (0.3.4+ds-2) unstable; urgency=medium

  * Upload to unstable.

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Sun, 05 Jun 2022 22:43:25 -0300

pyment (0.3.4+ds-1) experimental; urgency=medium

  * Initial release. (Closes: #876813)

 -- Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>  Wed, 11 May 2022 21:24:26 -0300

=== debian/control ===
Source: pyment
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Josenilson Ferreira da Silva <nilsonfsilva@hotmail.com>
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.1
Homepage: https://github.com/dadadel/pyment
Vcs-Git: https://salsa.debian.org/python-team/packages/pyment.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/pyment
Rules-Requires-Root: no

Package: python3-pyment
Architecture: all
Depends: ${python3:Depends},
         ${misc:Depends},
Suggests: python3-pyment-doc
Description: Generate/convert the docstrings from code signature
 pyment is intended for Python programmers to help facilitate internal code
 using docstrings.
 .
 It is useful for code not well documented, or code without docstrings, or some
 code not yet or partially documented, or a mixture of all these. It can also
 be useful to harmonize or change a project docstring style format.
 .
 will parse one or several Python scripts and retrieve existing docstrings.
 So for all functions, methods/, lasses found, it will generate docstrings
 formatted with parameters, default values.
 .
 This package installs the library for Python 3.

Package: python-pyment-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
Description: Python implementation of  PYMENT (common documentation)
 pyment is intended for Python programmers to help facilitate internal code
 using docstrings.
 .
 It is useful for code not well documented, or code without docstrings, or some
 code not yet or partially documented, or a mixture of all these. It can also
 be useful to harmonize or change a project docstring style format.
 .
 will parse one or several Python scripts and retrieve existing docstrings.
 So for all functions, methods/, lasses found, it will generate docstrings
 formatted with parameters, default values.
 .
 This package installs the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1
export PYBUILD_NAME=pyment
%:
	dh $@ --with python3,sphinxdoc  --buildsystem=pybuild

# Build sphinx HTML documentation
override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='http://127.0.0.1:9/' python3 -m sphinx -N -bhtml doc/sphinx/source/ debian/html

=== debian/watch ===
version=4
opts=dversionmangle=s/\+ds$//,repacksuffix=+ds \
https://github.com/dadadel/pyment/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@
